#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail

cd $WORKSPACE

cd $WORKSPACE/csit
echo "----------------------------------------------------"
echo "Ensure Pip is usable"
echo "----------------------------------------------------"
sudo apt-get install -y python3-venv
sudo apt-get install -y python3-dev gcc

echo "----------------------------------------------------"
echo "Install Docker compose if needed"
echo "----------------------------------------------------"
if [ -f /usr/local/bin/docker-compose ]; then
  echo "Docker compose already installed"
else
  sudo curl -L "https://github.com/docker/compose/releases/download/1.29.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
  sudo chmod +x /usr/local/bin/docker-compose
fi

unset WORKSPACE


sed -i 's#./include-raw-integration-install-robotframework.sh#$SCRIPTS/include-raw-integration-install-robotframework.sh#g' prepare-csit.sh
sed -i 's#pylibs.txt#$SCRIPTS/pylibs.txt#g' include-raw-integration-install-robotframework.sh

git config --global user.email "infra@nordix.org"
git config --global user.name "nordix"

for csit_test in  $(echo "$CSIT_TEST_NAMES" | tr " " "\n")
do
  ./run-project-csit.sh "$csit_test"
  # remove any side effects of the runs
  git stash
done
